


proc define-16ADC {} {
  global resource mname IPslot IPslots

  set mname IP16ADC
  set slot  [lsearch $IPslots $IPslot(IP16ADC)]

  log "deleting all IP-16ADC registers"
  EG "register :pattern '/$resource/$mname.*' !delete"

#     ID
      define-register xIP ManID        "-s $slot -o 0x09 -d id -p ro -w 8 -zx"
      define-register xIP ModID        "-s $slot -o 0x0b -d id -p ro -w 8 -zx"

      define-register xIP Control      "-s $slot -o 0x00 -d io -p wo -w 16 -zx"
      define-register xIP Status       "-s $slot -o 0x00 -d io -p ro -w 16 -zx"

      define-register xIP Data         "-s $slot -o 0x04 -d io -p ro -w 16 -zx"
      define-register xIP Convert      "-s $slot -o 0x0c -d io -p wo -w 16 -zx"
}
